%ifarch aarch64
%global _smp_ncpus_max	4
%endif

%define major		3
%define libuhd		%mklibname %{name}-uhd %{major}
%define devuhd		%mklibname %{name}-uhd -d
%define libaudio	%mklibname %{name}-audio %{major}
%define devaudio	%mklibname %{name}-audio -d
%define libruntime	%mklibname %{name}-runtime %{major}
%define devruntime	%mklibname %{name}-runtime -d
%define libvocoder	%mklibname %{name}-vocoder %{major}
%define devvocoder	%mklibname %{name}-vocoder -d
%define libqtgui	%mklibname %{name}-qtgui %{major}
%define devqtgui	%mklibname %{name}-qtgui -d
%define libtrellis	%mklibname %{name}-trellis %{major}
%define devtrellis	%mklibname %{name}-trellis -d
%define libvideo_sdl %mklibname %{name}-video-sdl %{major}
%define devvideo_sdl %mklibname %{name}-video-sdl -d
%define libwavelet	%mklibname %{name}-wavelet %{major}
%define devwavelet	%mklibname %{name}-wavelet -d
%define libfft		%mklibname %{name}-fft %{major}
%define devfft		%mklibname %{name}-fft -d
%define libfilter	%mklibname %{name}-filter %{major}
%define devfilter	%mklibname %{name}-filter -d
%define libanalog	%mklibname %{name}-analog %{major}
%define devanalog	%mklibname %{name}-analog -d
%define libblocks	%mklibname %{name}-blocks %{major}
%define devblocks	%mklibname %{name}-blocks -d
%define libchannels	%mklibname %{name}-channels %{major}
%define devchannels	%mklibname %{name}-channels -d
%define libfec		%mklibname %{name}-fec %{major}
%define devfec		%mklibname %{name}-fec -d
%define libpmt		%mklibname %{name}-pmt %{major}
%define devpmt		%mklibname %{name}-pmt -d
%define libzeromq	%mklibname %{name}-zeromq %{major}
%define devzeromq	%mklibname %{name}-zeromq -d
%define libdtv		%mklibname %{name}-dtv %{major}
%define devdtv		%mklibname %{name}-dtv -d
%define libdigital	%mklibname %{name}-digital %{major}
%define devdigital	%mklibname %{name}-digital -d
%define libnetwork	%mklibname %{name}-network %{major}
%define devnetwork	%mklibname %{name}-network -d
%define libsoapy	%mklibname %{name}-soapy %{major}
%define devsoapy	%mklibname %{name}-soapy -d
%define libiio		%mklibname %{name}-iio %{major}
%define deviio		%mklibname %{name}-iio -d
%define libpdu		%mklibname %{name}-pdu %{major}
%define devpdu		%mklibname %{name}-pdu -d

# For obsoletes only
%define libatsc		%mklibname %{name}-atsc 0
%define devatsc		%mklibname %{name}-atsc -d
%define libnoaa		%mklibname %{name}-noaa 0
%define devnoaa		%mklibname %{name}-noaa -d
%define libpager	%mklibname %{name}-pager 0
%define devpager	%mklibname %{name}-pager -d
%define libfcd		%mklibname %{name}-fcd 0
%define devfcd		%mklibname %{name}-fcd -d
%define libwxgui	%mklibname %{name}-wxgui 0
%define devwxgui	%mklibname %{name}-wxgui -d

#define rcv	rc1
%define rel	2

Name:		gnuradio
Version:	3.10.10.0
Release:	%mkrel %{?rcv:-c %{rcv}} %{rel}
Summary:	Software defined radio framework
Group:		Communications/Radio
License:	GPLv3+
URL:		https://www.gnuradio.org/
Source0:	https://github.com/%{name}/%{name}/archive/v%{version}%{?rcv:-%{rcv}}/%{name}-%{version}%{?rcv:-%{rcv}}.tar.gz

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	cppzmq-devel
BuildRequires:	doxygen
BuildRequires:	git
BuildRequires:	graphviz
BuildRequires:	gsm-devel
BuildRequires:	libatlas-devel
BuildRequires:	libtool
BuildRequires:	mathjax
BuildRequires:	mpir-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(codec2)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(guile-2.0)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:	pkgconfig(libiio)
BuildRequires:	pkgconfig(log4cpp)
BuildRequires:	pkgconfig(orc-0.4)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(Qt5Qwt6)
BuildRequires:	SDL-devel
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(SoapySDR)
BuildRequires:	pkgconfig(spdlog)
BuildRequires:	pkgconfig(uhd) >= 3.15
BuildRequires:	pkgconfig(volk) >= 2.4
BuildRequires:	python3-pygccxml >= 2.0.0
BuildRequires:	pybind11-devel
BuildRequires:	python3-cheetah
BuildRequires:	python3-click
BuildRequires:	python3-click-plugins
BuildRequires:	python-ice-devel
BuildRequires:	python3-gobject
BuildRequires:	python3-gobject-base
BuildRequires:	python3-numpy-devel
BuildRequires:	python3-numpy
BuildRequires:	python3-packaging
BuildRequires:	python3-pyqtgraph
BuildRequires:	python3-pyzmq
BuildRequires:	python3-qt5-core
BuildRequires:	python3-qt5-devel
BuildRequires:	python3-mako
BuildRequires:	python3-scipy
BuildRequires:	python3-six
BuildRequires:	python3-sphinx
BuildRequires:	python3-yaml
BuildRequires:	swig
BuildRequires:	xdg-utils

Requires(pre):	shadow-utils

Recommends:	%{name}-doc = %{version}-%{release}
Requires:	%{name}-companion = %{version}-%{release}
Requires:	%{name}-examples = %{version}-%{release}
Requires:	%{name}-utils = %{version}-%{release}
Requires:	%{libruntime} = %{version}-%{release}
Requires:	%{libqtgui} = %{version}-%{release}
Requires:	%{libtrellis} = %{version}-%{release}
Requires:	%{libvideo_sdl} = %{version}-%{release}
Requires:	%{libuhd} = %{version}-%{release}
Requires:	%{libaudio} = %{version}-%{release}
Requires:	%{libvocoder} = %{version}-%{release}
Requires:	%{libwavelet} = %{version}-%{release}
Requires:	%{libfft} = %{version}-%{release}
Requires:	%{libfilter} = %{version}-%{release}
Requires:	%{libanalog} = %{version}-%{release}
Requires:	%{libblocks} = %{version}-%{release}
Requires:	%{libchannels} = %{version}-%{release}
Requires:	%{libfec} = %{version}-%{release}
Requires:	%{libpmt} = %{version}-%{release}
Requires:	%{libzeromq} = %{version}-%{release}
Requires:	%{libdtv} = %{version}-%{release}
Requires:	%{libdigital} = %{version}-%{release}
Requires:	%{libnetwork} = %{version}-%{release}
Requires:	%{libiio} = %{version}-%{release}
Requires:	%{libpdu} = %{version}-%{release}

Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python-%{name}-qtgui = %{version}-%{release}
Requires:	python-%{name}-trellis = %{version}-%{release}
Requires:	python-%{name}-video-sdl = %{version}-%{release}
Requires:	python-%{name}-vocoder = %{version}-%{release}
Requires:	python-%{name}-audio = %{version}-%{release}
Requires:	python-%{name}-uhd = %{version}-%{release}
Requires:	python-%{name}-wavelet = %{version}-%{release}
Requires:	python-%{name}-fft = %{version}-%{release}
Requires:	python-%{name}-filter = %{version}-%{release}
Requires:	python-%{name}-channels = %{version}-%{release}
Requires:	python-%{name}-fec = %{version}-%{release}
Requires:	python-%{name}-pmt = %{version}-%{release}
Requires:	python-%{name}-blocks = %{version}-%{release}
Requires:	python-%{name}-analog = %{version}-%{release}
Requires:	python-%{name}-zeromq = %{version}-%{release}
Requires:	python-%{name}-dtv = %{version}-%{release}
Requires:	python-%{name}-digital = %{version}-%{release}
Requires:	python-%{name}-network = %{version}-%{release}
Requires:	python-%{name}-blocktool = %{version}-%{release}
Requires:	python-%{name}-bindtool = %{version}-%{release}
Requires:	python-%{name}-soapy = %{version}-%{release}
Requires:	python-%{name}-iio = %{version}-%{release}
Requires:	python-%{name}-pdu = %{version}-%{release}

Provides:	%{name} = %{version}-%{release}

Obsoletes:  %{libatsc} < 3.8.0.0
Obsoletes:  %{devatsc} < 3.8.0.0
Obsoletes:  %{libnoaa} < 3.8.0.0
Obsoletes:  %{devnoaa} < 3.8.0.0
Obsoletes:  %{libpager} < 3.8.0.0
Obsoletes:  %{devpager} < 3.8.0.0
Obsoletes:  %{libfcd} < 3.8.0.0
Obsoletes:  %{devfcd} < 3.8.0.0
Obsoletes:  %{libwxgui} < 3.8.0.0
Obsoletes:  %{devwxgui} < 3.8.0.0
Obsoletes:  python-%{name}-atsc < 3.8.0.0
Obsoletes:  python-%{name}-wxgui < 3.8.0.0
Obsoletes:  python-%{name}-fcd < 3.8.0.0

%description
GNU Radio is a collection of software that when combined with minimal
hardware, allows the construction of radios where the actual wave forms
transmitted and received are defined by software. What this means is
that it turns the digital modulation schemes used in today's high
performance wireless devices into software problems.

This is a virtual package that installs the entire GNU Radio software set.

%files

############################
%package doc
Summary:	Software Defined Radio
Group:		Communications/Radio
BuildArch:	noarch

%description doc
This package contains the documentation and man files 
for the GNU Radio software defined radio system.

%files doc
%doc %{_docdir}/*
%{_datadir}/applications/%{name}-doc.desktop
%{_mandir}/man1/*

############################
%package examples
Summary:	GNU Radio Example Programs
Group:		Communications/Radio

%description examples
This package provides examples of GNU Radio usage using Python.

%files examples
%{_datadir}/%{name}/examples

#######################################################
#######################################################
#
# Lib and devel packages
#
#######################################################
#######################################################

############################
%package -n %{libuhd}
Summary:	uhd
Group:		System/Libraries

%description -n %{libuhd}
This is the GNU Radio UHD package.
It is the interface to the UHD library to connect to and send and receive data
between the Ettus Research, LLC product line.

%files -n %{libuhd}
%{_libdir}/lib%{name}-uhd*.so.%{major}{,.*}

############################
%package -n %{devuhd}
Summary:	Uhd devel files
Group:		Development/Other
Requires:	%{libuhd} = %{version}-%{release}
Requires:	%{devruntime} = %{version}-%{release}
Provides:	%{name}-uhd-devel = %{version}-%{release}

%description -n %{devuhd}
This package contains header files needed by developers.

%files -n %{devuhd}
%{_includedir}/%{name}/uhd/*.h
%{_libdir}/pkgconfig/%{name}-uhd.pc
%{_libdir}/lib%{name}-uhd*.so

############################
%package -n %{libaudio}
Summary:	GNU Radio audio interfaces
Group:		System/Libraries

%description -n %{libaudio}
This package includes all of the supported audio interfaces.

%files -n %{libaudio}
%{_libdir}/lib%{name}-audio*.so.%{major}{,.*}
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/gr-audio-*.conf

############################
%package -n %{devaudio}
Summary:	GNU Radio audio interfaces - devel files
Group:		Development/Other
Requires:	%{libaudio} = %{version}-%{release}
Requires:	%{devruntime} = %{version}-%{release}
Provides:	%{name}-audio-devel = %{version}-%{release}

%description -n %{devaudio}
This package contains header files needed by developers.

%files -n %{devaudio}
%{_includedir}/%{name}/audio/*.h
%{_libdir}/pkgconfig/%{name}-audio.pc
%{_libdir}/lib%{name}-audio*.so

############################
%package -n %{libruntime}
Summary:	The GNU Radio Runtime Library
Group:		System/Libraries

%description -n %{libruntime}
This package contains the GNU Radio runtime libraries.

%files -n %{libruntime}
%{_libdir}/lib%{name}-runtime*.so.%{major}{,.*}

############################
%package -n %{devruntime}
Summary:	The GNU Radio runtime devel files
Group:		Development/Other
Requires:	%{libruntime} = %{version}-%{release}
Provides:	%{devruntime} = %{version}-%{release}
Provides:	%{name}-runtime-devel = %{version}-%{release}

%description -n %{devruntime}
This package contains header files needed by developers.

%files -n %{devruntime}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/messages/*.h
%{_includedir}/%{name}/thread/*.h
%{_libdir}/pkgconfig/%{name}-runtime.pc
%{_libdir}/lib%{name}-runtime*.so

############################

%package -n %{libvocoder}
Summary:	GNU Radio C++ vocoder blocks
Group:		System/Libraries

%description -n %{libvocoder}
This is the gr-vocoder package.
It contains all available vocoders in GNU Radio.

%files -n %{libvocoder}
%{_libdir}/lib%{name}-vocoder*.so.%{major}{,.*}

############################
%package -n %{devvocoder}
Summary:	GNU Radio vocoder devel files
Group:		Development/Other
Requires:	%{libvocoder} = %{version}-%{release}
Provides:	%{name}-vocoder-devel = %{version}-%{release}

%description -n %{devvocoder}
This package contains header files needed by developers.

%files -n %{devvocoder}
%{_includedir}/%{name}/vocoder/*.h
%{_libdir}/pkgconfig/%{name}-vocoder.pc
%{_libdir}/lib%{name}-vocoder*.so

############################
%package -n %{libqtgui}
Summary:	GNU Radio C++ blocks for QT-based GUI applications
Group:		System/Libraries

%description -n %{libqtgui}
This package contains the C++ library for using GNU Radio inside
QT-based GUI applications.

%files -n %{libqtgui}
%{_libdir}/lib%{name}-qtgui*.so.%{major}{,.*}
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/gr-qtgui.conf

############################
%package -n %{devqtgui}
Summary:	GNU Radio C++ blocks for QT-based GUI applications
Group:		Development/Other
Requires:	%{libqtgui} = %{version}-%{release}
Provides:	%{name}-qtgui-devel = %{version}-%{release}

%description -n %{devqtgui}
This package contains the C++ library for using GNU Radio inside
QT-based GUI applications.
This package contains header files needed by developers.

%files -n %{devqtgui}
%{_includedir}/%{name}/qtgui/*.h
%{_libdir}/pkgconfig/%{name}-qtgui.pc
%{_libdir}/lib%{name}-qtgui*.so

############################
%package -n  %{libtrellis}
Summary:	GNU Radio C++ block implementing trellis-coded modulation
Group:		System/Libraries

%description -n %{libtrellis}
This package provides an implementation of tellis-coded modulation
for GNU Radio.

%files -n %{libtrellis}
%{_libdir}/lib%{name}-trellis*.so.%{major}{,.*}

############################
%package -n %{devtrellis}
Summary:	GNU Radio C++ block implementing trellis-coded modulation
Group:		Development/Other
Requires:	%{libtrellis} = %{version}-%{release}
Provides:	%{name}-trellis-devel = %{version}-%{release}

%description -n %{devtrellis}
This package contains header files needed by developers.

%files -n %{devtrellis}
%{_includedir}/%{name}/trellis/*.h
%{_libdir}/pkgconfig/%{name}-trellis.pc
%{_libdir}/lib%{name}-trellis*.so

############################
%package -n %{libvideo_sdl}
Summary:	GNU Radio C++ block implementing video-sdl-coded modulation
Group:		System/Libraries

%description -n %{libvideo_sdl}
This package provides an interface to the SDL rendering library
for GNU Radio.

%files -n %{libvideo_sdl}
%{_libdir}/lib%{name}-video-sdl*.so.%{major}{,.*}

############################
%package -n %{devvideo_sdl}
Summary:	GNU Radio C++ block implementing video-sdl-coded modulation
Group:		Development/Other
Requires:	%{libvideo_sdl} = %{version}-%{release}
Provides:	%{name}-video-sdl-devel = %{version}-%{release}

%description -n %{devvideo_sdl}
This package provides an interface to the SDL rendering library
for GNU Radio.

This package contains header files needed by developers.

%files -n %{devvideo_sdl}
%{_includedir}/%{name}/video_sdl/*.h
%{_libdir}/pkgconfig/%{name}-video-sdl.pc
%{_libdir}/lib%{name}-video-sdl*.so

############################
%package -n %{libwavelet}
Summary:	GnuRadio Wavelet
Group:		System/Libraries

%description -n %{libwavelet}
GnuRadio Wavelet module.

%files -n %{libwavelet}
%{_libdir}/lib%{name}-wavelet*.so.%{major}{,.*}

############################
%package -n %{devwavelet}
Summary:	GnuRadio Wavelet development files
Group:		System/Libraries
Requires:	%{libwavelet} = %{version}-%{release}
Provides:	%{name}-wavelet-devel = %{version}-%{release}

%description -n %{devwavelet}
This package contains header files needed by developers.

%files -n %{devwavelet}
%{_includedir}/%{name}/wavelet/*.h
%{_libdir}/lib%{name}-wavelet*.so
%{_libdir}/pkgconfig/%{name}-wavelet.pc

############################
%package -n %{libfft}
Summary:	GnuRadio fft
Group:		System/Libraries

%description -n %{libfft}
GnuRadio fft module.

%files -n %{libfft}
%{_libdir}/lib%{name}-fft*.so.%{major}{,.*}

############################
%package -n %{devfft}
Summary:	GnuRadio fft development files
Group:		System/Libraries
Requires:	%{libfft} = %{version}-%{release}
Provides:	%{name}-fft-devel = %{version}-%{release}

%description -n %{devfft}
This package contains header files needed by developers.

%files -n %{devfft}
%{_includedir}/%{name}/fft/*.h
%{_libdir}/lib%{name}-fft*.so
%{_libdir}/pkgconfig/%{name}-fft.pc

############################
%package -n %{libfilter}
Summary:	GnuRadio filters
Group:		System/Libraries

%description -n %{libfilter}
GnuRadio filter module.

%files -n %{libfilter}
%{_libdir}/lib%{name}-filter*.so.%{major}{,.*}

############################
%package -n %{devfilter}
Summary:	GnuRadio filter development files
Group:		System/Libraries
Requires:	%{libfilter} = %{version}-%{release}
Provides:	%{name}-filter-devel = %{version}-%{release}

%description -n %{devfilter}
This package contains header files needed by developers.

%files -n %{devfilter}
%{_includedir}/%{name}/filter/*.h
%{_libdir}/lib%{name}-filter*.so
%{_libdir}/pkgconfig/%{name}-filter.pc

############################
%package -n %{libanalog}
Summary:	GnuRadio analog
Group:		System/Libraries

%description -n %{libanalog}
GnuRadio analog module.

%files -n %{libanalog}
%{_libdir}/lib%{name}-analog*.so.%{major}{,.*}

############################
%package -n %{devanalog}
Summary:	GnuRadio analog development files
Group:		System/Libraries
Requires:	%{libanalog} = %{version}-%{release}
Provides:	%{name}-analog-devel = %{version}-%{release}

%description -n %{devanalog}
This package contains header files needed by developers.

%files -n %{devanalog}
%{_includedir}/%{name}/analog/*.h
%{_libdir}/lib%{name}-analog*.so
%{_libdir}/pkgconfig/%{name}-analog.pc

############################
%package -n %{libblocks}
Summary:	GnuRadio blocks
Group:		System/Libraries

%description -n %{libblocks}
GnuRadio blocks module.

%files -n %{libblocks}
%{_libdir}/lib%{name}-blocks*.so.%{major}{,.*}

############################
%package -n %{devblocks}
Summary:	GnuRadio blocks development files
Group:		System/Libraries
Requires:	%{libblocks} = %{version}-%{release}
Provides:	%{name}-blocks-devel = %{version}-%{release}

%description -n %{devblocks}
This package contains header files needed by developers.

%files -n %{devblocks}
%{_includedir}/%{name}/blocks/*.h
%{_libdir}/lib%{name}-blocks*.so
%{_libdir}/pkgconfig/%{name}-blocks.pc

############################
%package -n %{libchannels}
Summary:	GnuRadio channels
Group:		System/Libraries

%description -n %{libchannels}
GnuRadio channels module.

%files -n %{libchannels}
%{_libdir}/lib%{name}-channels*.so.%{major}{,.*}

############################
%package -n %{devchannels}
Summary:	GnuRadio channels development files
Group:		System/Libraries
Requires:	%{libchannels} = %{version}-%{release}
Provides:	%{name}-channels-devel = %{version}-%{release}

%description -n %{devchannels}
This package contains header files needed by developers.

%files -n %{devchannels}
%{_includedir}/%{name}/channels/*.h
%{_libdir}/lib%{name}-channels*.so
%{_libdir}/pkgconfig/%{name}-channels.pc

############################
%package -n %{libfec}
Summary:	GnuRadio fec
Group:		System/Libraries

%description -n %{libfec}
GnuRadio fec module.

%files -n %{libfec}
%{_libdir}/lib%{name}-fec*.so.%{major}{,.*}
%{_datadir}/%{name}/fec/ldpc/*

############################
%package -n %{devfec}
Summary:	GnuRadio fec development files
Group:		System/Libraries
Requires:	%{libfec} = %{version}-%{release}
Provides:	%{name}-fec-devel = %{version}-%{release}

%description -n %{devfec}
This package contains header files needed by developers.

%files -n %{devfec}
%{_includedir}/%{name}/fec/*.h
%{_libdir}/lib%{name}-fec*.so
%{_libdir}/pkgconfig/%{name}-fec.pc

############################
%package -n %{libpmt}
Summary:	GnuRadio pmt
Group:		System/Libraries

%description -n %{libpmt}
GnuRadio pmt module.

%files -n %{libpmt}
%{_libdir}/lib%{name}-pmt*.so.%{major}{,.*}

############################
%package -n %{devpmt}
Summary:	GnuRadio pmt development files
Group:		System/Libraries
Requires:	%{libpmt} = %{version}-%{release}
Provides:	%{name}-pmt-devel = %{version}-%{release}

%description -n %{devpmt}
This package contains header files needed by developers.

%files -n %{devpmt}
%{_libdir}/lib%{name}-pmt*.so
%{_includedir}/pmt/*.h

############################
%package -n %{libzeromq}
Summary:	GnuRadio zeromq
Group:		System/Libraries

%description -n %{libzeromq}
GnuRadio zeromq module.

%files -n %{libzeromq}
%{_libdir}/lib%{name}-zeromq*.so.%{major}{,.*}

############################
%package -n %{devzeromq}
Summary:	GnuRadio zeromq development files
Group:		System/Libraries
Requires:	%{libzeromq} = %{version}-%{release}
Provides:	%{name}-zeromq-devel = %{version}-%{release}

%description -n %{devzeromq}
This package contains header files needed by developers.

%files -n %{devzeromq}
%{_libdir}/lib%{name}-zeromq*.so
%{_includedir}/%{name}/zeromq/*.h
%{_libdir}/pkgconfig/%{name}-zeromq.pc

############################
%package -n %{libdtv}
Summary:	GnuRadio dtv
Group:		System/Libraries

%description -n %{libdtv}
GnuRadio dtv module.

%files -n %{libdtv}
%{_libdir}/lib%{name}-dtv*.so.%{major}{,.*}

############################
%package -n %{devdtv}
Summary:	GnuRadio dtv development files
Group:		System/Libraries
Requires:	%{libdtv} = %{version}-%{release}
Provides:	%{name}-dtv-devel = %{version}-%{release}

%description -n %{devdtv}
This package contains header files needed by developers.

%files -n %{devdtv}
%{_libdir}/lib%{name}-dtv*.so
%{_includedir}/%{name}/dtv/*.h
%{_libdir}/pkgconfig/%{name}-dtv.pc

############################
%package -n %{libdigital}
Summary:	GnuRadio digital
Group:		System/Libraries

%description -n %{libdigital}
GnuRadio digital module.

%files -n %{libdigital}
%{_libdir}/lib%{name}-digital*.so.%{major}{,.*}

############################
%package -n %{devdigital}
Summary:	GnuRadio digital development files
Group:		System/Libraries
Requires:	%{libdigital} = %{version}-%{release}
Provides:	%{name}-digital-devel = %{version}-%{release}

%description -n %{devdigital}
This package contains header files needed by developers.

%files -n %{devdigital}
%{_libdir}/lib%{name}-digital*.so
%{_includedir}/%{name}/digital/*.h
%{_libdir}/pkgconfig/%{name}-digital.pc

###########################
%package -n %{libnetwork}
Summary:	GnuRadio network
Group:		System/Libraries

%description -n %{libnetwork}
GnuRadio network module.

%files -n %{libnetwork}
%{_libdir}/lib%{name}-network*.so.%{major}{,.*}

############################
%package -n %{devnetwork}
Summary:	GnuRadio network development files
Group:		System/Libraries
Requires:	%{libnetwork} = %{version}-%{release}
Provides:	%{name}-network-devel = %{version}-%{release}

%description -n %{devnetwork}
This package contains header files needed by developers.

%files -n %{devnetwork}
%{_libdir}/lib%{name}-network*.so
%{_includedir}/%{name}/network/*.h
%{_libdir}/pkgconfig/%{name}-network.pc

###########################
%package -n %{libsoapy}
Summary:	GnuRadio soapy
Group:		System/Libraries

%description -n %{libsoapy}
GnuRadio soapy module.

%files -n %{libsoapy}
%{_libdir}/lib%{name}-soapy*.so.%{major}{,.*}

############################
%package -n %{devsoapy}
Summary:	GnuRadio soapy development files
Group:		System/Libraries
Requires:	%{libsoapy} = %{version}-%{release}
Provides:	%{name}-soapy-devel = %{version}-%{release}

%description -n %{devsoapy}
This package contains header files needed by developers.

%files -n %{devsoapy}
%{_libdir}/lib%{name}-soapy.so
%{_includedir}/%{name}/soapy/*.h
%{_libdir}/pkgconfig/%{name}-soapy.pc

###########################
%package -n %{libiio}
Summary:	GnuRadio iio
Group:		System/Libraries

%description -n %{libiio}
GnuRadio iio module.

%files -n %{libiio}
%{_libdir}/lib%{name}-iio*.so.%{major}{,.*}

############################
%package -n %{deviio}
Summary:	GnuRadio iio development files
Group:		System/Libraries
Requires:	%{libiio} = %{version}-%{release}
Provides:	%{name}-iio-devel = %{version}-%{release}

%description -n %{deviio}
This package contains header files needed by developers.

%files -n %{deviio}
%{_libdir}/lib%{name}-iio.so
%{_includedir}/%{name}/iio/*.h
%{_libdir}/pkgconfig/%{name}-iio.pc

###########################
%package -n %{libpdu}
Summary:	GnuRadio pdu
Group:		System/Libraries

%description -n %{libpdu}
GnuRadio pdu module.

%files -n %{libpdu}
%{_libdir}/lib%{name}-pdu*.so.%{major}{,.*}

############################
%package -n %{devpdu}
Summary:	GnuRadio pdu development files
Group:		System/Libraries
Requires:	%{libpdu} = %{version}-%{release}
Provides:	%{name}-pdu-devel = %{version}-%{release}

%description -n %{devpdu}
This package contains header files needed by developers.

%files -n %{devpdu}
%{_libdir}/lib%{name}-pdu.so
%{_includedir}/%{name}/pdu/*.h
%{_libdir}/pkgconfig/%{name}-pdu.pc

#######################################################
#######################################################
#
# Python packages
#
#######################################################
#######################################################

############################
%package -n python-%{name}-runtime
Summary:	Python bindings for GNU Radio runtime library
Group:		Development/Python
Requires:	python3-mako
Requires:	python3-numpy
Requires:	python3-cheetah
Requires:	python3-scipy
Requires:	python3-opengl
Requires:	python3-pyzmq
Requires:	python3-six

%description -n python-%{name}-runtime
This package provides the modules that enable one to use gnuradio from
Python scripts.

%files -n python-%{name}-runtime
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/conf.d
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/%{name}-runtime.conf
%dir %{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}/gr
%{python3_sitelib}/%{name}/__init__.*
%{python3_sitelib}/%{name}/eng_notation.*
%{python3_sitelib}/%{name}/eng_option.*
%{python3_sitelib}/%{name}/gr_unittest.*

############################
%package -n python-%{name}-vocoder
Summary:	Python bindings for GNU Radio vocoder
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-vocoder
This package contains Python bindings for GNU Radio ATSC decoding.

%files -n python-%{name}-vocoder
%{python3_sitelib}/%{name}/vocoder/*

############################
%package -n python-%{name}-audio
Summary:	GNU Radio Python Audio Driver
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-audio
This package provides the Python interface to the GNU Radio driver for the
audio system.

%files -n python-%{name}-audio
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/gr-audio.conf
%{python3_sitelib}/%{name}/audio/*

############################
%package -n python-%{name}-qtgui
Summary:	GNU Radio Graphical Interface Routines based on QT
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-qtgui
This package provides the Python wrappers around the GNU Radio QT GUI
C++ blocks.

%files -n python-%{name}-qtgui
%{python3_sitelib}/%{name}/qtgui

############################
%package -n python-%{name}-trellis
Summary:	GNU Radio Trellis-Coded Modulation library
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-trellis
This package provides an implementation of trellis-coded modulation for
GNU Radio.

%files -n python-%{name}-trellis
%{python3_sitelib}/%{name}/trellis/*

############################
%package -n python-%{name}-uhd
Summary:	Python bindings for GNU Radio uhd driver
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-uhd
This package provides the Python interface to the GNU Radio uhd driver
and daughterboard drivers.

%files -n python-%{name}-uhd
%{python3_sitelib}/%{name}/uhd

############################
%package -n python-%{name}-video-sdl
Summary:	GNU Radio SDL Interface Library
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-video-sdl
This package provides an interface to the SDL rendering library for GNU Radio.

%files -n python-%{name}-video-sdl
%{python3_sitelib}/%{name}/video_sdl/*

############################
%package -n python-%{name}-channels
Summary:	GNU Radio channels
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-channels
GNU Radio channels

%files -n python-%{name}-channels
%{python3_sitelib}/%{name}/channels

############################
%package -n python-%{name}-fec
Summary:	GNU Radio fec
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-fec
GNU Radio fec

%files -n python-%{name}-fec
%{python3_sitelib}/%{name}/fec

############################
%package -n python-%{name}-pmt
Summary:	GNU Radio pmt
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python3-numpy
Requires:	python3-opengl

%description -n python-%{name}-pmt
GNU Radio pmt

%files -n python-%{name}-pmt
%{python3_sitelib}/pmt/*

############################
%package -n python-%{name}-wavelet
Summary:	GNU Radio wavelet
Group:		Development/Python

%description -n python-%{name}-wavelet
GNU Radio wavelet

%files -n python-%{name}-wavelet
%{python3_sitelib}/%{name}/wavelet

############################
%package -n python-%{name}-fft
Summary:	GNU Radio fft
Group:		Development/Python

%description -n python-%{name}-fft
GNU Radio fft

%files -n python-%{name}-fft
%{python3_sitelib}/%{name}/fft
%{python3_sitelib}/%{name}/plot_fft_base.*

############################
%package -n python-%{name}-filter
Summary:	GNU Radio filter
Group:		Development/Python
Requires:	python3-pyqtgraph

%description -n python-%{name}-filter
GNU Radio filter

%files -n python-%{name}-filter
%{python3_sitelib}/%{name}/filter
%{python3_sitelib}/%{name}/pyqt_filter.*

############################
%package -n python-%{name}-analog
Summary:	GNU Radio analog
Group:		Development/Python

%description -n python-%{name}-analog
GNU Radio analog

%files -n python-%{name}-analog
%{python3_sitelib}/%{name}/analog

############################
%package -n python-%{name}-blocks
Summary:	GNU Radio blocks
Group:		Development/Python

%description -n python-%{name}-blocks
GNU Radio blocks

%files -n python-%{name}-blocks
%{python3_sitelib}/%{name}/blocks

############################
%package -n python-%{name}-modtool
Summary:	GNU Radio modtool
Group:		Development/Python

%description -n python-%{name}-modtool
GNU Radio modtool

%files -n python-%{name}-modtool
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/modtool.conf
%{python3_sitelib}/%{name}/modtool
%{_datadir}/%{name}/modtool/templates

############################
%package -n python-%{name}-ctrlport
Summary:	GNU Radio ctrlport
Group:		Development/Python

%description -n python-%{name}-ctrlport
GNU Radio ctrlport

%files -n python-%{name}-ctrlport
%{python3_sitelib}/%{name}/ctrlport

############################
%package -n python-%{name}-zeromq
Summary:	GNU Radio zeromq
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python3-numpy
Requires:	python3-opengl

%description -n python-%{name}-zeromq
GNU Radio zeromq

%files -n python-%{name}-zeromq
%{python3_sitelib}/%{name}/zeromq

############################
%package -n python-%{name}-dtv
Summary:	GNU Radio dtv
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python3-numpy
Requires:	python3-opengl

%description -n python-%{name}-dtv
GNU Radio dtv

%files -n python-%{name}-dtv
%{python3_sitelib}/%{name}/dtv

###########################
%package -n python-%{name}-digital
Summary:	GNU Radio digital
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python3-numpy
Requires:	python3-opengl

%description -n python-%{name}-digital
GNU Radio digital

%files -n python-%{name}-digital
%{python3_sitelib}/%{name}/digital

###########################
%package -n python-%{name}-network
Summary:	GNU Radio network
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python3-numpy
Requires:	python3-opengl

%description -n python-%{name}-network
GNU Radio network

%files -n python-%{name}-network
%{python3_sitelib}/%{name}/network

###########################
%package -n python-%{name}-soapy
Summary:	GNU Radio soapy
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python3-numpy
Requires:	python3-opengl

%description -n python-%{name}-soapy
GNU Radio soapy

%files -n python-%{name}-soapy
%{python3_sitelib}/%{name}/soapy/

###########################
%package -n python-%{name}-blocktool
Summary:	GNU Radio blocktool
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python3-numpy
Requires:	python3-opengl

%description -n python-%{name}-blocktool
GNU Radio blocktool

%files -n python-%{name}-blocktool
%{python3_sitelib}/%{name}/blocktool

###########################
%package -n python-%{name}-bindtool
Summary:	GNU Radio bindtool
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python3-numpy
Requires:	python3-opengl

%description -n python-%{name}-bindtool
GNU Radio bindtool

%files -n python-%{name}-bindtool
%{python3_sitelib}/%{name}/bindtool

###########################
%package -n python-%{name}-iio
Summary:	GNU Radio iio
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python3-numpy
Requires:	python3-opengl

%description -n python-%{name}-iio
GNU Radio iio

%files -n python-%{name}-iio
%{python3_sitelib}/%{name}/iio/

###########################
%package -n python-%{name}-pdu
Summary:	GNU Radio pdu
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python3-numpy
Requires:	python3-opengl

%description -n python-%{name}-pdu
GNU Radio pdu

%files -n python-%{name}-pdu
%{python3_sitelib}/%{name}/pdu/

#######################################################
#######################################################
#
# Software packages and others
#
#######################################################
#######################################################

%package companion
Summary:	The GNU Radio Companion
Group:		Communications/Radio
Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python-gnuradio-pmt = %{version}-%{release}
Recommends:	%{name}-examples = %{version}-%{release}
Requires:	python3-cheetah
Requires:   python3-yaml

%description companion
GRC is a graphical flowgraph editor for the GNU Software Radio.

%files companion
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/grc.conf
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/00-grc-docs.conf
%{_bindir}/%{name}-companion
%{_datadir}/%{name}/grc
%{_datadir}/%{name}/themes/*.qss
%{python3_sitelib}/%{name}/grc



############################
%package utils
Summary:	GNU Radio Utilities
Group:		Communications/Radio
Requires:	python-matplotlib
Requires:	python-scipy

%description utils
This package provides commonly used utilities for GNU Radio.

%files utils
%{python3_sitelib}/%{name}/__pycache__/*
%{python3_sitelib}/%{name}/plot_psd_base.*
%{python3_sitelib}/%{name}/plot_data.*
%{python3_sitelib}/%{name}/pyqt_plot.*
%{python3_sitelib}/%{name}/eng_arg.*
%{_bindir}/%{name}-config-info
%{_bindir}/gr_filter_design
%{_bindir}/gr_plot
%{_bindir}/uhd_*
%{_bindir}/gr_read_file_metadata
%{_bindir}/grcc
%{_bindir}/gr_modtool
%{_bindir}/gr_plot_const
%{_bindir}/gr_plot_fft
%{_bindir}/gr_plot_iq
%{_bindir}/gr_plot_psd
%{_bindir}/gr_plot_qt
%{_bindir}/gr-ctrlport-monitor
%{_bindir}/gr-perf-monitorx
%{_bindir}/polar_channel_construction
%{_libdir}/cmake/%{name}
%{_datadir}/gnuradio/clang-format.conf
%{_datadir}/gnuradio/.cmake-format.py

#######################################################
#######################################################
%prep
%autosetup -p1 -n %{name}-%{version}%{?rcv:-%{rcv}}

%build
export LDFLAGS="%{ldflags} -L%{_libdir}/atlas"
%global _cmake_module_linker_flags_extra -L%{_libdir}/atlas
%cmake \
		-DENABLE_INTERNAL_VOLK=OFF \
		-DGR_PYTHON_DIR=%{python_sitelib}

%cmake_build

%check
# Some tests fail only in i586 build.
# qa_qtgui test fail is expected in headless BS.
# Test failures do not halt builds, so check the log.
# Skip tests on ARM
%ifnarch %arm
cd %{_vpath_builddir}
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
# https://github.com/gnuradio/gnuradio/issues/989
	%ifarch i586
		ctest -V -E '(qa_fecapi_ldpc|qa_qtgui)' ||:
	%else
		ctest -V -E qa_qtgui ||:
	%endif
%endif

%install
%cmake_install

############################
# Desktop files

cat > %{name}-doc.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Gnu Radio C++ API Documentation
GenericName=Gnu Radio C++ API Documentation
Exec=xdg-open /usr/share/doc/%{name}-%{version}/html/index.html
Icon=%{name}-grc
Terminal=false
Type=Application
Categories=System;Documentation;X-Mageia-CrossDesktop;
X-Desktop-File-Install-Version=0.19
EOF

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{name}-doc.desktop

############################
# We don't need this:
rm -f %{buildroot}%{_libexecdir}/%{name}/grc_setup_freedesktop


%changelog
* Wed Jun 19 2024 wally <wally> 3.10.10.0-2.mga10
+ Revision: 2075339
- rebuild for boost 1.85.0

* Sun May 12 2024 barjac <barjac> 3.10.10.0-1.mga10
+ Revision: 2063913
- new version 3.10.10.0

* Wed May 08 2024 wally <wally> 3.10.9.2-2.mga10
+ Revision: 2062878
- rebuild for spdlog 1.14.1

* Wed Apr 10 2024 barjac <barjac> 3.10.9.2-1.mga10
+ Revision: 2056273
- new version 3.10.9.2

* Sun Feb 11 2024 daviddavid <daviddavid> 3.10.8.0-3.mga10
+ Revision: 2040187
- rebuild for new spdlog

* Fri Jan 12 2024 wally <wally> 3.10.8.0-2.mga10
+ Revision: 2030543
- rebuild for boost 1.84.0

* Wed Dec 27 2023 joequant <joequant> 3.10.8.0-1.mga10
+ Revision: 2022123
- update to 3.10.8.0 py3.12

* Wed Sep 27 2023 wally <wally> 3.10.5.1-6.mga10
+ Revision: 1991442
- rebuild for boost 1.83.0

* Wed Sep 06 2023 papoteur <papoteur> 3.10.5.1-5.mga10
+ Revision: 1984847
- rebuid for spdlog 1.12

* Mon May 22 2023 barjac <barjac> 3.10.5.1-4.mga9
+ Revision: 1957712
- Add missing Requires: python3-yaml to gnuradio-companion

* Tue Jan 31 2023 barjac <barjac> 3.10.5.1-3.mga9
+ Revision: 1937154
- rebuild for uhd-4.4.0.0

* Sat Jan 28 2023 wally <wally> 3.10.5.1-2.mga9
+ Revision: 1936648
- don't own hicolor icon dirs

* Wed Jan 25 2023 barjac <barjac> 3.10.5.1-1.mga9
+ Revision: 1936151
- new version 3.10.5.1

* Thu Dec 29 2022 daviddavid <daviddavid> 3.10.4.0-6.mga9
+ Revision: 1927507
- rebuild for new gsl 2.7.1

* Sat Dec 24 2022 wally <wally> 3.10.4.0-5.mga9
+ Revision: 1926561
- rebuild for boost 1.81.0

* Fri Nov 04 2022 papoteur <papoteur> 3.10.4.0-4.mga9
+ Revision: 1902560
- rebuild for spdlog 1.11.0

* Wed Oct 12 2022 papoteur <papoteur> 3.10.4.0-3.mga9
+ Revision: 1896540
- Rebuild for fmt 9

* Sat Sep 17 2022 barjac <barjac> 3.10.4.0-2.mga9
+ Revision: 1889530
- new version 3.10.4.0

* Tue Aug 09 2022 wally <wally> 3.10.3.0-2.mga9
+ Revision: 1876362
- rebuild for libqwt 6.2.0

* Fri Aug 05 2022 barjac <barjac> 3.10.3.0-1.mga9
+ Revision: 1875312
- new version 3.10.3.0

* Sun Jul 03 2022 wally <wally> 3.10.2.0-3.mga9
+ Revision: 1867253
- rebuild for boost 1.79.0

* Sat Apr 23 2022 barjac <barjac> 3.10.2.0-2.mga9
+ Revision: 1852974
- rebuild for uhd-4.2.0.0

* Tue Apr 12 2022 barjac <barjac> 3.10.2.0-1.mga9
+ Revision: 1848924
- new version 3.10.2.0

* Mon Feb 14 2022 tmb <tmb> 3.10.1.1-2.mga9
+ Revision: 1774956
- rebuild for python 3.10

* Thu Feb 03 2022 barjac <barjac> 3.10.1.1-1.mga9
+ Revision: 1771344
- new version 3.10.1.1
- Added two new modules iio and pdu
- Added man files
- Added several new BRs
- Adjusted files lists and cmake options
- new version broken 1st test build

* Sun Dec 19 2021 wally <wally> 3.9.3.0-0.rc1.2.mga9
+ Revision: 1762672
- rebuild for boost 1.78.0

* Sun Sep 19 2021 barjac <barjac> 3.9.3.0-0.rc1.1.mga9
+ Revision: 1745967
- new rc version 3.9.3.0 rc1

* Thu Sep 09 2021 wally <wally> 3.9.2.0-2.mga9
+ Revision: 1744707
- rebuild for boost 1.77.0

* Mon Jun 14 2021 barjac <barjac> 3.9.2.0-1.mga9
+ Revision: 1730722
- new version: 3.9.2.0
- add support for soapy-sdr
- remove two BRs not needed

* Wed Jun 09 2021 barjac <barjac> 3.9.1.0-4.mga9
+ Revision: 1730240
- rebuild for volk-2.5.0

* Fri May 14 2021 wally <wally> 3.9.1.0-3.mga9
+ Revision: 1722964
- rebuild for boost 1.76.0

* Thu Apr 01 2021 barjac <barjac> 3.9.1.0-2.mga9
+ Revision: 1712256
- fix missing new dep sndfile

* Fri Mar 26 2021 barjac <barjac> 3.9.1.0-1.mga9
+ Revision: 1710727
- new version 3.9.1.0
- several new libs and python packages
- switch from texlive to mathjax
+ ovitters <ovitters>
- rebuild for Python 3.9

* Wed Jan 13 2021 barjac <barjac> 3.8.2.0-7.mga8
+ Revision: 1671561
- remove duplicated config file

* Thu Dec 31 2020 wally <wally> 3.8.2.0-6.mga8
+ Revision: 1666762
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 3.8.2.0-5.mga8
+ Revision: 1662004
- rebuild for boost 1.74.0

* Tue Dec 15 2020 tv <tv> 3.8.2.0-4.mga8
+ Revision: 1657532
- BR python3-gobject-base

* Wed Nov 25 2020 barjac <barjac> 3.8.2.0-3.mga8
+ Revision: 1649147
- rebuild for volk-2.4

* Sat Oct 03 2020 tv <tv> 3.8.2.0-2.mga8
+ Revision: 1631918
- rebuild for new uhd

* Tue Sep 01 2020 barjac <barjac> 3.8.2.0-1.mga8
+ Revision: 1620624
- set correct GR_PYTHON_DIR
- new version 3.8.2.0
- patch for boost bind placeholders from Fd
- remove obsolete patches

* Mon Aug 31 2020 barjac <barjac> 3.8.0.0-13.mga8
+ Revision: 1620238
- rebuild for codec2-0.9.2

* Mon Jun 08 2020 barjac <barjac> 3.8.0.0-12.mga8
+ Revision: 1591082
- rebuild for volk-2.3.0

* Mon May 04 2020 daviddavid <daviddavid> 3.8.0.0-11.mga8
+ Revision: 1578709
- remove no more needed Qt4 BRs on qwtplot3d-devel and qwt5-devel
- python bindings require six and mako

* Sun May 03 2020 wally <wally> 3.8.0.0-10.mga8
+ Revision: 1578475
- rebuild for boost 1.73.0

* Sat Apr 04 2020 wally <wally> 3.8.0.0-9.mga8
+ Revision: 1564280
- add patch to allow overriding GR_PYTHON_DIR from cmake cmd line

* Thu Mar 19 2020 barjac <barjac> 3.8.0.0-8.mga8
+ Revision: 1558103
- rebuild for volk-2.2.1

* Wed Feb 19 2020 umeabot <umeabot> 3.8.0.0-7.mga8
+ Revision: 1544751
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 3.8.0.0-6.mga8
+ Revision: 1483372
- rebuild for boost 1.72.0

* Sat Jan 04 2020 barjac <barjac> 3.8.0.0-5.mga8
+ Revision: 1476040
- require new uhd-3.15
- rebuild for uhd
+ wally <wally>
- build with new cmake macros

* Fri Nov 22 2019 barjac <barjac> 3.8.0.0-4.mga8
+ Revision: 1462169
- really skip qa_fecapi_ldpc ctest in i586 build as it hangs due
  to https://github.com/gnuradio/gnuradio/issues/989 reported in 2016
- new BRs python3-click-plugins, python3-sphinx
- reinstate python-gnuradio-modtool
- drop qa_qtgui ctest
- Fix for Mga#25667 (gnuradio-companion fails to run)
- Correct %%files lists and some white space

* Thu Nov 07 2019 barjac <barjac> 3.8.0.0-2.mga8
+ Revision: 1458620
- add BRs texlive gmp-devel
- add BRs texlive gmp-devel
- new version 3.8.0.0
- move to python3 and qt5
- drop obsolete modules
- new major (was not used previously upstream)

* Thu Apr 18 2019 barjac <barjac> 3.7.13.4-3.mga7
+ Revision: 1393304
- Rebuild for uhd-3.14.0.0

* Fri Jan 18 2019 barjac <barjac> 3.7.13.4-2.mga7
+ Revision: 1357915
- rebuild for uhd in armv7hl

* Thu Jan 17 2019 barjac <barjac> 3.7.13.4-1.mga7
+ Revision: 1357841
- new version 3.7.13.4

* Tue Oct 16 2018 wally <wally> 3.7.13.3-4.mga7
+ Revision: 1321038
- rebuild for new boost 1.68.0

* Tue Oct 02 2018 wally <wally> 3.7.13.3-3.mga7
+ Revision: 1314599
- rebuild for aarch64

* Sun Sep 23 2018 umeabot <umeabot> 3.7.13.3-2.mga7
+ Revision: 1297999
- Mageia 7 Mass Rebuild

* Mon Jun 25 2018 barjac <barjac> 3.7.13.3-1.mga7
+ Revision: 1239725
- new vesion 3.7.13.3
- drop gcc-7 patch fixed upstream
- two new BRs python2-mako, python2-six

* Mon Dec 25 2017 wally <wally> 3.7.11-7.mga7
+ Revision: 1184669
- rebuild for new boost

* Thu Dec 21 2017 barjac <barjac> 3.7.11-6.mga7
+ Revision: 1183692
- rebuild for mariadb

* Wed Nov 22 2017 tv <tv> 3.7.11-5.mga7
+ Revision: 1178620
- rebuild for boost 1.65
- rebuild for boost 1.65

* Fri Oct 13 2017 barjac <barjac> 3.7.11-2.mga7
+ Revision: 1171671
- rebuild for ice and uhd

* Sat Sep 16 2017 cjw <cjw> 3.7.11-1.mga7
+ Revision: 1154810
- 3.7.11
- add patch from fedora to fix build with gcc 7
+ tv <tv>
- rebuild with latest boost

* Sat Feb 25 2017 ovitters <ovitters> 3.7.10.1-3.mga6
+ Revision: 1087828
- recommend instead of require 395MB documentation package

* Tue Feb 21 2017 wally <wally> 3.7.10.1-2.mga6
+ Revision: 1087224
- BR cppzmq instead of libzmq

* Wed Sep 07 2016 barjac <barjac> 3.7.10.1-1.mga6
+ Revision: 1050313
- new version 3.7.10.1

* Tue Jul 26 2016 barjac <barjac> 3.7.9.3-1.mga6
+ Revision: 1043646
- final bug fix version of 3.7.9 series - 3.7.9.3

* Wed Apr 13 2016 barjac <barjac> 3.7.9.2-1.mga6
+ Revision: 1001121
- new version 3.7.9.2
- remove patch merged upstream

* Tue Mar 22 2016 barjac <barjac> 3.7.9.1-3.mga6
+ Revision: 994204
- fix build with cmake-3.5.0 (upstream volk PR#65)

* Sun Feb 21 2016 barjac <barjac> 3.7.9.1-2.mga6
+ Revision: 975391
- skip tests on arm

* Thu Feb 18 2016 barjac <barjac> 3.7.9.1-1.mga6
+ Revision: 967520
- new release 3.7.9.1

* Wed Feb 03 2016 barjac <barjac> 3.7.9-5.mga6
+ Revision: 933767
- rebuild for arm with longer timeout

* Tue Feb 02 2016 barjac <barjac> 3.7.9-4.mga6
+ Revision: 932956
- rebuild for arm

* Sun Jan 03 2016 luigiwalser <luigiwalser> 3.7.9-3.mga6
+ Revision: 919004
- rebuild for gsl
+ barjac <barjac>
- disable test that locks up BS on i586 build

* Thu Dec 31 2015 barjac <barjac> 3.7.9-1.mga6
+ Revision: 917051
- new version 3.7.9
- patch to fix GSL detection
- remove obsolete Obsoletes
- remove git tarball script and conditional git clutter from spec
- add BuildRequires: python-scipy for solar tests
- work around '-lcblas not found' build errors
- use %%make_install macro
- fix files list

* Thu Dec 24 2015 barjac <barjac> 3.7.8.1-2.mga6
+ Revision: 914442
- rebuild for boost-1.60.0

* Mon Dec 14 2015 barjac <barjac> 3.7.8.1-1.mga6
+ Revision: 910293
- new version 3.7.8.1

* Sun Nov 08 2015 barjac <barjac> 3.7.8-3.mga6
+ Revision: 899269
- rebuild for codec2-0.5

* Fri Sep 25 2015 barjac <barjac> 3.7.8-2.mga6
+ Revision: 883413
- rebuild for boost-1.59

* Wed Aug 26 2015 barjac <barjac> 3.7.8-1.mga6
+ Revision: 869735
- new version 3.7.8
- BR libatlas-devel
- update volk major
- LDFLAGS append for -lcblas
- fix files list

* Mon Aug 24 2015 barjac <barjac> 3.7.5.1-5.mga6
+ Revision: 868957
- Rebuild for new boost and zeromq

* Fri Jul 31 2015 daviddavid <daviddavid> 3.7.5.1-4.mga6
+ Revision: 859901
- rebuild for new boost-1.58.0

* Wed Jan 14 2015 barjac <barjac> 3.7.5.1-3.mga5
+ Revision: 810735
- Add arch independent Provides to -devel packages

* Wed Jan 14 2015 barjac <barjac> 3.7.5.1-2.mga5
+ Revision: 810723
+ rebuild (emptylog)

* Sat Nov 29 2014 barjac <barjac> 3.7.5.1-1.mga5
+ Revision: 799871
- new version 3.7.5.1

* Mon Nov 17 2014 barjac <barjac> 3.7.5-6.mga5
+ Revision: 797633
- rebuild for new zeromq

* Wed Oct 15 2014 umeabot <umeabot> 3.7.5-5.mga5
+ Revision: 739539
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.7.5-4.mga5
+ Revision: 726367
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.7.5-3.mga5
+ Revision: 679834
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Sep 05 2014 barjac <barjac> 3.7.5-2.mga5
+ Revision: 672191
- Requires: python-pyzmq

* Thu Sep 04 2014 barjac <barjac> 3.7.5-1.mga5
+ Revision: 672098
- new version 3.7.5
- added BR codec2-devel to stop using bundled codec2
- added dtv lib and dev sub-packages
- new BR python-qt4-core
- fix files lists
- buildrequire sdcc not needed

* Wed Jul 30 2014 barjac <barjac> 3.7.4-1.mga5
+ Revision: 658105
- new zeromq buildrequires
- new zeromq sub-packages
- new version 3.7.4

* Sat Jul 05 2014 pterjan <pterjan> 3.7.3-2.mga5
+ Revision: 643842
- Replace libusb*-devel BuildRequires by better ones

* Mon Jun 09 2014 barjac <barjac> 3.7.3-1.mga5
+ Revision: 634942
- new version 3.7.3
- fix files list
- use find .. -delete
+ pterjan <pterjan>
- Rebuild for new Python

* Mon Feb 10 2014 barjac <barjac> 3.7.2.1-1.mga5
+ Revision: 589165
- new version 3.7.2.1
- fix companion suggests/requires
- fix files list

* Thu Jan 09 2014 pterjan <pterjan> 3.7.1-0.7641.3.mga5
+ Revision: 565987
- Rebuild for new ice

* Sat Oct 19 2013 umeabot <umeabot> 3.7.1-0.7641.2.mga4
+ Revision: 531549
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 barjac <barjac> 3.7.1-0.7641.1.mga4
+ Revision: 464023
- new snapshot
- new patch to fix linkage of m and pthread
- remove obsolete patches
- fix test failures by setting LD_LIBRARY_PATH prior to ctest
- exclude qa_qtgui test that needs X
- replace *core* packages with *runtime* and remove obsolete gruel packages
- new packages for wxgui, channels, fec and pmt (lib, dev and python)

* Thu Jul 11 2013 barjac <barjac> 3.6.5-3.mga4
+ Revision: 452928
- add missing requires on meta package

* Tue Jul 09 2013 fwang <fwang> 3.6.5-2.mga4
+ Revision: 451858
- rebuild for new boost

* Fri Jun 14 2013 barjac <barjac> 3.6.5-1.mga4
+ Revision: 443120
- new version 3.6.5

* Fri Apr 19 2013 barjac <barjac> 3.6.4.1-1.mga3
+ Revision: 410556
- new version 3.6.4.1 with some new features and bug fixes

* Mon Apr 15 2013 barjac <barjac> 3.6.3-5.mga3
+ Revision: 410166
- fix most test failures
- run tests and continue build with failures

* Wed Apr 10 2013 ennael <ennael> 3.6.3-4.mga3
+ Revision: 409457
- Really rebuild against boost-1.53

* Sun Apr 07 2013 barjac <barjac> 3.6.3-3.mga3
+ Revision: 408734
- suppress tests as some will fail
- test build with %%check enabled to verify local build test failures with boost-1.52

* Mon Jan 21 2013 barjac <barjac> 3.6.3-2.mga3
+ Revision: 390507
- replace bad tarball from upstream with one built from correct git tag
- remove some trailing spaces from spec

* Sun Jan 13 2013 barjac <barjac> 3.6.3-1.mga3
+ Revision: 375968
- new version
- two new sub packages

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-8.mga3
+ Revision: 352393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 barjac <barjac> 3.6.2-7.mga3
+ Revision: 341536
- rebuild against new uhd

* Thu Dec 20 2012 fwang <fwang> 3.6.2-6.mga3
+ Revision: 332952
- rebuild for new boost

* Thu Nov 22 2012 barjac <barjac> 3.6.2-5.mga3
+ Revision: 321105
- Changed some groups in line with policy
- rebuild against libqwt5

* Mon Nov 19 2012 zezinho <zezinho> 3.6.2-4.mga3
+ Revision: 319658
- rebuild for new libqwt

* Fri Sep 28 2012 barjac <barjac> 3.6.2-3.mga3
+ Revision: 298852
- Changed group in line with new policy

* Sun Sep 09 2012 barjac <barjac> 3.6.2-2.mga3
+ Revision: 291428
- add missing filter packages to virtual package
- drop desktop-file-utils BR

* Sun Sep 09 2012 barjac <barjac> 3.6.2-1.mga3
+ Revision: 291001
- New version 3.6.2
- new lib and dev packages gnuradio-filter
+ fedya <fedya>
- trailing characters fix

* Tue Jul 31 2012 fwang <fwang> 3.6.1-2.mga3
+ Revision: 276496
- rebuild for new boost

* Tue Jul 03 2012 barjac <barjac> 3.6.1-1.mga3
+ Revision: 266848
- new version 3.6.1
- removed explicit require on libportaudio
- updated fix-linkage patch
- added new fft blocks packages

* Wed Jun 06 2012 barjac <barjac> 3.6.0-3.mga3
+ Revision: 256308
- Fix explicit require on 32bit libportaudio2
- Same as bug 6347 on mga2

* Tue Jun 05 2012 barjac <barjac> 3.6.0-2.mga3
+ Revision: 254470
- Accidentally reverted 250181 (arch of examples) when updating

* Tue Jun 05 2012 barjac <barjac> 3.6.0-1.mga3
+ Revision: 254462
- New version 3.6.0

* Wed May 30 2012 fwang <fwang> 3.5.3.2-3.mga3
+ Revision: 250181
- examples contain binary files

* Wed May 30 2012 fwang <fwang> 3.5.3.2-2.mga3
+ Revision: 250049
- rebuild for new boost

* Sun Apr 22 2012 barjac <barjac> 3.5.3.2-1.mga2
+ Revision: 232457
- bugfix release
- Fixed IQ correlation initialization in gr-fcd
- Fixed volk AVX detection/usage for GCC < 4.6 and MSVC
- Fixed miscalculation of symbol rate in digital_bert_rx
- new version
- supports Fun Cube Dongle
- improved make-tarball script
- macro used in .desktop

* Sat Mar 03 2012 barjac <barjac> 3.5.1-8.mga2
+ Revision: 217067
- Edited .desktop name for consistency

* Sat Feb 11 2012 fwang <fwang> 3.5.1-7.mga2
+ Revision: 207143
- fix linkage of libvolk
- obsoletes correct arch-dependent files

* Fri Feb 10 2012 barjac <barjac> 3.5.1-6.mga2
+ Revision: 207047
- Move some header files  to correct dev packages
- Tidy some descriptions and a typo

* Thu Feb 09 2012 barjac <barjac> 3.5.1-5.mga2
+ Revision: 206749
- Make doc package noarch
- Corrected obsoletes arch

* Thu Feb 09 2012 barjac <barjac> 3.5.1-4.mga2
+ Revision: 206730
- Move all %%defines to top of spec
- Use %%{libnames} for lib requires

* Thu Feb 09 2012 barjac <barjac> 3.5.1-2.mga2
+ Revision: 206675
- Fix Require in pager

* Wed Feb 08 2012 barjac <barjac> 3.5.1-1.mga2
+ Revision: 206552
- After much deliberation changing back to split packages as in 3.3
- Many new sub packages and obsoletes due to upstream changes
- New version
- Follow more closely upstream build
- Use cmake
- Add API docs to main menu
- Reverted to 3.3.0-2 as at revision 195922
+ fwang <fwang>
- br orc
- fix linkage
- new version 3.5.1

* Sat Jan 14 2012 fwang <fwang> 3.3.0-2.mga2
+ Revision: 195922
- fix versioned requires

* Tue Jan 03 2012 barjac <barjac> 3.3.0-1.mga2
+ Revision: 190188
- Align with mdv 3.3.0-12, wqt inc path corrected, set mkrel 1
- imported package gnuradio


* Wed Dec 29 2010 Jani Välimaa <wally@mandriva.org> 3.3.0-8mdv2010.1
+ Revision: 626057
- fix requires

* Tue Dec 28 2010 Jani Välimaa <wally@mandriva.org> 3.3.0-7mdv2011.0
+ Revision: 625625
- really make backporting possible

* Tue Dec 28 2010 Jani Välimaa <wally@mandriva.org> 3.3.0-6mdv2011.0
+ Revision: 625510
- make backporting possible

* Mon Dec 27 2010 Jani Välimaa <wally@mandriva.org> 3.3.0-5mdv2011.0
+ Revision: 625432
- edit summaries
- fix file lists
- sync spec with Fedora
- split usrp docs to a separate package

* Wed Nov 03 2010 Funda Wang <fwang@mandriva.org> 3.3.0-4mdv2011.0
+ Revision: 592716
- update file list

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Thu Oct 28 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.3.0-3mdv2011.0
+ Revision: 589662
- removed libnae macro

* Mon Oct 25 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.3.0-2mdv2011.0
+ Revision: 589241
- added the conditional patch statement

* Mon Oct 25 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.3.0-1mdv2011.0
+ Revision: 589231
- initial upload gcc4.5 patch
- added patch for gcc4.5
- Changed BuildRequires: 	%%{mklibname wxgtk2.8}-devel
- added BuildRequires:  pygtk2.0-libglade
- added BuildRequires:  python-numpy
- added BuildRequires:  guile
- Changed BuildRequires
- import gnuradio

